Name:           emotion
Version:        1.7.8
Release:        3%{?dist}
License:        GPLv2+ and BSD
Summary:        Media Library for EFL
Url:            http://www.enlightenment.org
Group:          System Environment/Libraries
Source:         http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2

BuildRequires:  doxygen edje edje-devel
BuildRequires:  eet-devel evas-devel eio-devel 
BuildRequires:  gstreamer-devel xine-lib-devel
BuildRequires:  evas_generic_loaders

%description
Emotion is a video (and audio) codec playback library that acts as a
front-end to libxine or gstreamer (or something else more generic)
that provides and evas object as a control object and video output
point. 

%package devel
Summary:        Emotion headers, documentation and test programs
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
 

%description devel
Headers, test programs and documentation for Emotion Media Library.

%prep
%setup -q

%build
%configure --disable-static --disable-silent-rules
make %{?_smp_mflags}

%install
%make_install
#chrpath --delete %{buildroot}%{_libdir}/edje/modules/emotion/linux-gnu-x86_64-1.0.0/module.so
#chrpath --delete %{buildroot}%{_libdir}/%{name}/*.so
#chrpath --delete %{buildroot}%{_bindir}/*
find %{buildroot} -name '*.la' -delete

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc ChangeLog README COPYING*
%dir %{_libdir}/%{name}
%{_bindir}/%{name}_*
%{_libdir}/libemotion*
%{_datadir}/%{name}
%{_libdir}/edje

%files devel
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_libdir}/%{name}/*.so

%changelog
* Sat Aug 24 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.8-3
- Update BRs
- Clean up RPMlint errors
- Ensure build against edje

* Fri Aug 23 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.8-2
- Update BRs

* Tue Aug 20 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.8-1
- Update to 1.7.8 

* Wed Jan 02 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 1.7.4-1 
- initial spec

